Bug 130131 - CAN-2004-0752 openoffice.org temporary file information leakage.
CAN-2004-0752 openoffice.org temporary file information leakage.
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: openoffice.org (Show other bugs)
2
All Linux
medium Severity medium
: ---
: ---
Assigned To: Dan Williams
: Security
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-08-17 09:37 EDT by Josh Bressers
Modified: 2007-11-30 17:10 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-11-08 11:54:49 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Josh Bressers 2004-08-17 09:37:30 EDT
Secunia Research has discovered a vulnerability in the OpenOffice
implementation on Fedora Core 1 and Fedora Core 2, which potentially can
be exploited by malicious, local users to gain knowledge of sensitive
information.

Default installs create temporary OpenOffice documents with insecure
permissions ("664" or "644" depending on the user's umask) in the "/tmp"
folder.

Example:
/tmp/svelj.tmp/svemm.tmp

(The temporary folders and files are always named "sv???.tmp").

Successful exploitation allows an unprivileged user to read arbitrary
users' currently open documents.
Comment 3 Josh Bressers 2004-08-17 10:41:32 EDT
It looks like FC1 isn't affected by this issue.
Comment 4 Josh Bressers 2004-08-18 12:36:16 EDT
This issue will be CAN-2004-0752
Comment 5 Mark J. Cox 2004-08-23 04:26:47 EDT
Embargo moved to Sep 8th 1300BST
Comment 6 Mark J. Cox 2004-09-12 07:04:13 EDT
This issue is now public
http://marc.theaimsgroup.com/?l=bugtraq&m=109483308421566
Comment 7 Dan Williams 2004-09-24 11:54:31 EDT
Josh, test with 1.1.2-5 in rawhide.  I may be able to do this early
next week.
Comment 8 Dan Williams 2004-11-08 11:54:49 EST
Fixed in updated 1.1.2-10.fc2 in fc2-updates

Note You need to log in before you can comment on or make changes to this bug.